Name:           perl-Perl-Version
Version:        1.013
Release:        4%{?dist}
Summary:        Parse and manipulate Perl version strings
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Perl-Version/
Source0:        http://www.cpan.org/authors/id/B/BD/BDFOY/Perl-Version-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Slurp::Tiny)
BuildRequires:  perl(Getopt::Long) >= 2.34
BuildRequires:  perl(Pod::Usage) >= 1.3
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::More)
Requires:       perl(Carp)
Requires:       perl(Data::Dumper)
Requires:       perl(File::Slurp::Tiny)
Requires:       perl(Getopt::Long) >= 2.34
Requires:       perl(Pod::Usage) >= 1.3
Requires:       perl(Scalar::Util)
Requires:       perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl::Version provides a simple interface for parsing, manipulating and
formatting Perl version strings.

%prep
%setup -q -n Perl-Version-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.json Notes.txt README
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/perl-reversion


%changelog
* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 1.013-4
- BuildReq perl-generators (dbd@ehtrace.com)

* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 1.013-3
- Add Provides perl(Perl::Version) (dbd@ehtrace.com)

* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 1.013-2
- new package built with tito

* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 1.013-1
- Specfile autogenerated by cpanspec 1.78.
